> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goenhance.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate API

> Generate video effect task.



## OpenAPI

````yaml POST /api/v1/videoeffect/generate
openapi: 3.1.0
info:
  title: GoEnhance API
  description: ''
  version: 1.0.0
servers:
  - url: https://api.goenhance.ai
security:
  - bearerAuth: []
tags:
  - name: Basic
  - name: Video2Video
paths:
  /api/v1/videoeffect/generate:
    post:
      tags: []
      summary: 'AI Video Effect '
      parameters:
        - name: Authorization
          in: header
          description: ''
          required: true
          example: '{{onlinekey}}'
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                args:
                  type: object
                  properties:
                    reference_img:
                      type: string
                      description: Max 5M
                    effect_id:
                      type: string
                      description: From effect list API
                      maxLength: 500
                    resolution:
                      type: string
                      enum:
                        - 480p
                        - 540p
                        - 720p
                      description: default 480p
                  required:
                    - effect_id
                    - resolution
                  x-apifox-orders:
                    - effect_id
                    - model
                    - reference_img
                    - is_private
              required:
                - args
              x-apifox-orders:
                - args
                - type
            example:
              args:
                reference_img: >-
                  https://cdn.goenhance.ai/user/goenhance/f52840534004f9a52cbe6d2aec7fa164.jpg
                effect_id: live_2d
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      img_uuid:
                        type: string
                    required:
                      - img_uuid
                required:
                  - code
                  - msg
                  - data
              example:
                code: 0
                msg: Success
                data:
                  img_uuid: c12b656c-747a-44fd-9c80-add79b0c52d5
          headers: {}
      deprecated: false
      security: []
components: {}

````